Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 478922 - Review Request: globus-ftp-control - Globus Toolkit - GridFTP Client Control Library
Summary: Review Request: globus-ftp-control - Globus Toolkit - GridFTP Client Control ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: gpt 453848 453851 467237 467239 478921
Blocks: 478923 478926
TreeView+ depends on / blocked
 
Reported: 2009-01-06 01:05 UTC by Mattias Ellert
Modified: 2010-03-17 18:06 UTC (History)
3 users (show)

Fixed In Version: 2.10-1.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-04 21:09:30 UTC
oget.fedora: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2009-01-06 01:05:35 UTC
Spec URL: http://www.grid.tsl.uu.se/repos/globus/info/globus-ftp-control.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-ftp-control-2.10-0.3.fc10.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-ftp-control package contains:
GridFTP Client Control Library

BuildRequires:	grid-packaging-tools
BuildRequires:	globus-common-devel >= 3
BuildRequires:	globus-gss-assist-devel >= 3
BuildRequires:	globus-io-devel >= 6
BuildRequires:	globus-gssapi-gsi-devel >= 4
BuildRequires:	globus-core-devel >= 4

Based on the globus toolkit 4.2.1 release.

Applied patches submitted upstream:

Make package descriptions unique:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6589

Remove some doxygen warnings:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6590

Dereferencing of type-punned pointers:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6603

Comment 1 Mattias Ellert 2009-03-16 00:01:49 UTC
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-ftp-control-2.10-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-ftp-control.spec

Comment 2 Mattias Ellert 2009-04-17 13:45:06 UTC
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-ftp-control-2.10-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-ftp-control.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus

Comment 3 Orcan Ogetbil 2009-05-30 20:37:14 UTC
I reviewed this package and found one minor issue

- koji rawhide build is fine
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1385107

* These type of warnings may indicate misbehavior in 64bit systems
   warning: format '%d' expects type 'int', but argument 4 has type 'globus_size_t'
Can you patch this up? Swapping %d with %zd will probably solve the issue.

- rpmlint
   globus-ftp-control-devel.x86_64: W: no-documentation
can be ignored

Otherwise, the package is good to go. Please take care of the above warnings before you commit.

-----------------------------------------------------
This package (globus-ftp-control) is APPROVED by oget
-----------------------------------------------------

Comment 4 Mattias Ellert 2009-05-31 06:17:20 UTC
Thank you for the review - I'll fix those warnings...

New Package CVS Request
=======================
Package Name: globus-ftp-control
Short Description: Globus Toolkit - GridFTP Client Control Library
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:

Comment 5 Jason Tibbitts 2009-05-31 20:15:06 UTC
CVS done.

Comment 6 Mattias Ellert 2009-06-01 07:06:19 UTC
Package available in devel.

Comment 7 Fedora Update System 2009-06-01 18:33:02 UTC
globus-ftp-control-2.10-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-ftp-control-2.10-1.fc10

Comment 8 Fedora Update System 2009-06-01 18:33:08 UTC
globus-ftp-control-2.10-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-ftp-control-2.10-1.fc9

Comment 9 Fedora Update System 2009-06-01 18:33:13 UTC
globus-ftp-control-2.10-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-ftp-control-2.10-1.fc11

Comment 10 Fedora Update System 2009-06-04 21:09:25 UTC
globus-ftp-control-2.10-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-06-04 21:11:28 UTC
globus-ftp-control-2.10-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-06-04 21:17:12 UTC
globus-ftp-control-2.10-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Mattias Ellert 2010-03-12 12:33:17 UTC
Package Change Request
======================
Package Name: globus-ftp-control
Updated Description: Globus Toolkit - GridFTP Control Library

Upstream changed their package description in their new release. This change is requested to reflect this.

Comment 14 Kevin Fenzi 2010-03-17 18:06:26 UTC
No need to do a cvs request for these. They update as your update your package. ;) 

It's already correct.


Note You need to log in before you can comment on or make changes to this bug.